petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFortranCallbackRegister

register a type+subtype callback

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFortranCallbackRegister(PetscClassId classid,const char *subtype,PetscFortranCallbackId *id)

Not Collective

### Input Arguments

| classid | - ID of class on which to register callback
| subtype | - subtype string, or NULL for class ids

### Output Arguments

id -callback id

### See Also

PetscFortranCallbackGetSizes()

### Level

developer

### Location

src/sys/objects/fcallback.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages